Subject: Re: [PATCH 1/3] hexdump: Implement macro for converting large buffers

From: Nick Child <[email-masked]>
Date: Fri, 14 Feb 2025 12:33:20 -0600

Hi Dave,

Thanks for reviewing,

On 2/14/25 12:00 PM, Dave Marquardt wrote:
> Nick Child <[email-masked]> writes:
>
>> +	     (i) += (rowsize) == 16 || (rowsize) == 32 ? (rowsize) : 16	\
> Nit: If you left out the (rowsize) == 16 check here you'd still add 16
> to (i).

I was trying to have this translate into "if invalid rowsize was used 
then default to 16" since

hex_dump_to_buffer has a very similar conditional. But I agree, 
logically it looks strange.

If I send a v3 (I also foolishly forgot the v2 tag in this patch), I 
will change this like to

+	     (i) += (rowsize) == 32 ? 32 : 16	\